Subject: Re: nfs booting PS3, mount failed.

From: Geoff Levand <[email-masked]>
Date: Tue, 17 Feb 2009 16:20:29 -0800

On 02/16/2009 09:22 PM, gt bradley wrote:
> I'm trying to set up my PS3 to netboot (with an nfsroot).
> 
> I'm using instructions at
> http://www.kernel.org/pub/linux/kernel/people/geoff/cell/ps3-howto/ps3-nfs-root-howto.txt
> 
> I've passed section 3 (using tftp) to verify network /dhcp etc.   (i.e.
> I'm able to tftp-get a file to ps3 from kboot's ash shell (busybox).
> 
> i'm trying to mount the nfs server as per section 4. with
> 
>  ~# mount -t nfs -o nolock 192.168.99.1:/target /mnt/remote
> 
> I get the following error message:
>   mount: mounting 192.168.99.1:/target on /mnt/remote failed
> 
> if I boot the PS3 from the HD, then I am able to mount the nfs directory.
> Using wireshark, I can see the initial dhcp traffic, (and when present the tftp traffic).
> the mount command doesn't open a network connection to the server, 
> So I have pretty much ruled out server
>  configuration.
> 
> running "strings" on the decompressed kboot image yeilds serveral nfs symbols, so it 
> appears to still support nfs mounting.  (using version kboot-20080609.bld from geoff's dir at kernel.org)

I have sometimes seen nfs problems with kboot.  You could you
try petitboot.  Get the latest 'experimental' one from here:

  http://www.kernel.org/pub/linux/kernel/people/geoff/cell/ps3-petitboot/

Another thing to try is to use a 'rescue' disk/mode to copy the files.
Most distros have them.  Fedora has a rescue mode in their installer:

  http://download.fedora.redhat.com/pub/fedora/linux/releases/10/Fedora/ppc/iso/Fedora-10-ppc-netinst.iso

Just select 'rescue' instead of 'install', or you can add
these to the boot options: 'text rescue video=720p'.

You don't need kboot/petitboot to do nfs.  To load the kernel
they just need to do tftp.

-Geoff